j_stat.d(1m)

NAME
j_stat.d - Java operation stats using DTrace.

SYNOPSIS
j_stat.d [interval [count]]

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0). Method calls and object allocation are only visible when using the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile The numbers are counts for the interval specified. The default interval is 1 second. If you see a count in "EXECS" but not in the other columns, then your Java software is probably not running with the DTrace hotspot provider. If you see counts in "CLOAD" but not in "METHODS", then you Java software probably isn't running with "+ExtendedDTraceProbes".

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_stat.d

FIELDS

EXEC/s
    Java programs executed per second, including those without Java provider support

METHOD/s
    Methods called, per second

OBJNEW/s
    Objects created, per second

CLOAD/s
    Class loads, per second

EXCP/s
    Exceptions raised, per second

RESC/s
    Rescues, per second

GC/s
    Garbage collects, per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_stat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)